App\Library\Amazon\Classes\Art:
    xml_root_name: Art
    properties:
        battery:
            expose: true
            access_type: public_method
            serialized_name: Battery
            accessor:
                getter: getBattery
                setter: setBattery
            type: App\Library\Amazon\Classes\Battery
        canShipInOriginalContainer:
            expose: true
            access_type: public_method
            serialized_name: CanShipInOriginalContainer
            accessor:
                getter: getCanShipInOriginalContainer
                setter: setCanShipInOriginalContainer
            type: boolean
        colorMap:
            expose: true
            access_type: public_method
            serialized_name: ColorMap
            accessor:
                getter: getColorMap
                setter: setColorMap
            type: string
        finish:
            expose: true
            access_type: public_method
            serialized_name: Finish
            accessor:
                getter: getFinish
                setter: setFinish
            type: string
        identityPackageType:
            expose: true
            access_type: public_method
            serialized_name: IdentityPackageType
            accessor:
                getter: getIdentityPackageType
                setter: setIdentityPackageType
            type: string
        isStainResistant:
            expose: true
            access_type: public_method
            serialized_name: IsStainResistant
            accessor:
                getter: getIsStainResistant
                setter: setIsStainResistant
            type: boolean
        material:
            expose: true
            access_type: public_method
            serialized_name: Material
            accessor:
                getter: getMaterial
                setter: setMaterial
            type: string
        maximumCoverageArea:
            expose: true
            access_type: public_method
            serialized_name: MaximumCoverageArea
            accessor:
                getter: getMaximumCoverageArea
                setter: setMaximumCoverageArea
            type: App\Library\Amazon\Classes\AreaDimensionOptionalUnitType
        outputCapacity:
            expose: true
            access_type: public_method
            serialized_name: OutputCapacity
            accessor:
                getter: getOutputCapacity
                setter: setOutputCapacity
            type: App\Library\Amazon\Classes\VolumeRateDimensionType
        pieceCount:
            expose: true
            access_type: public_method
            serialized_name: PieceCount
            accessor:
                getter: getPieceCount
                setter: setPieceCount
            type: integer
        paintType:
            expose: true
            access_type: public_method
            serialized_name: PaintType
            accessor:
                getter: getPaintType
                setter: setPaintType
            type: string
        shape:
            expose: true
            access_type: public_method
            serialized_name: Shape
            accessor:
                getter: getShape
                setter: setShape
            type: string
        threadCount:
            expose: true
            access_type: public_method
            serialized_name: ThreadCount
            accessor:
                getter: getThreadCount
                setter: setThreadCount
            type: integer
        towelWeight:
            expose: true
            access_type: public_method
            serialized_name: TowelWeight
            accessor:
                getter: getTowelWeight
                setter: setTowelWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\Art\VariationDataAType
        wattage:
            expose: true
            access_type: public_method
            serialized_name: Wattage
            accessor:
                getter: getWattage
                setter: setWattage
            type: App\Library\Amazon\Classes\WattageDimensionOptionalUnitType
